Resume climat GrIce2sea

!============================================== climat_GrIce2sea_years_mod.f90
module climat_Grice2sea_years_mod
  use module3d_phy
  use lect_climref_Ice2sea
  use netcdf
  use io_netcdf_grisli
  implicit none

real,dimension(:),allocatable        :: time_snap         !> date des snapshots  indice : nb de nb_snap)
real,dimension(:,:,:),allocatable    :: smb_snap          !> bilan de masse des snapshots indices : nx,ny,nb_snap 
real                                 :: ecart_snap        !> ecart temporel entre les snapshots
real                                 :: time_depart_snaps !> temps du debut premier snapshot
integer                              :: nb_snap           !> nombre de snapshots

! declaration pour le bilan de masse
real,dimension(nx,ny)                :: bm_time           !> bilan de masse interpole entre 2 snapshots
real,dimension(nx,ny)                :: grad_bm           !> gradient du bilan de masse 



contains
!---------------------------------------------------------------------------------
subroutine input_clim 

  !lecture namelist
  namelist/clim_snap/nb_snap,time_depart_snaps,ecart_snap,file_smb_snap

  ! lecture du fichier smb
  call Read_Ncdf_var('z',file_smb_snap,tab3D)     ! ce sont des anomalies  
  smb_snap (i,j,k) = smb_snap(i,j,k) + bm(i,j)    ! ajoute les valeurs de reference

  ! ecriture de verification 
  call write_ncdf_var(trim('smb'),dimtestname,trim(file_smb_snap),tab3D,'double')

end subroutine input_clim
!--------------------------------------------------------------------------------

!--------------------------------------------------------------------------------
subroutine init_forclim

  !lecture namelist
  namelist/lapse_rates/T_lapse_rate

  call input_clim

end subroutine init_forclim
!--------------------------------------------------------------------------------

!--------------------------------------------------------------------------------
subroutine forclim    

    call massb_Ice2sea_fixe    !---------------- A remplacer

    call grad_smb              !-----------------------------> A faire
    call massb_Ice2sea_RCM    
   
end subroutine forclim
!--------------------------------------------------------------------------------
end module  climat_Grice2sea_years_mod

!=======================================================  lect_climat_years_Ice2sea_mod.f90

module lect_clim_years_Ice2sea
  use module3D_phy
  use interface_input
  use no_ablation


!--------------------------------------------------------------------------------
subroutine input_climat_ref()

  !lecture namelist
  namelist/clim_smb_T_gen/smb_file,coef_smb_unit,temp_annual_file

  ! lecture fichiers climat actuel

  call lect_input(3,'smb',1,bm,smb_file,trim(dirnameinp)//trim(runname)//'.nc')
  bm(:,:)  = bm(:,:)*coef_smb_unit
  
  call lect_input(3,'Tann',1,Tann,temp_annual_file,trim(dirnameinp)//trim(runname)//'.nc')

end subroutine input_climat_ref


end module  lect_climref_Ice2sea

!==============================================================   massb-GrIce2sea_fixe.f90

subroutine massb_Ice2sea_fixe                ! calcule le mass balance 

use module3D_phy
use climat_Grice2sea_mod

Tann (:,:) = Ta0 (:,:) + T_lapse_rate * (S(:,:)-S0(:,:)) 
Ts(:,:)    = Tann(:,:)

! bm est inchange    
end subroutine massb_Ice2sea_fixe

!!==============================================================  massb-GrIce2sea_RCM.f90

subroutine massb_Ice2sea_RCM                                    ! calcule le mass balance 

use module3D_phy
use climat_Grice2sea_mod

Tann (:,:) = Ta0 (:,:) + T_lapse_rate * (S(:,:)-S0(:,:)) 
Ts(:,:)    = Tann(:,:)


!
! calcule bm_time par interpolation entre deux snapshots
! avant prend la valeur de reference
! apres prend la derniere valeur





call  grad_smb              !-----------------------------> A faire

! attribue bm
bm(:,:) = bm_time(:,:) + grad_smb(:,:)

end subroutine massb_Ice2sea_RCM  
!---------------------------------------------------------------------------

!---------------------------------------------------------------------------
subroutine grad_smb 

use module3D_phy
use climat_Grice2sea_mod

grad_smb (:,:) = 0.

end subroutine grad_smb

 
!==============================================================================
